@rem
@rem Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
@rem All rights reserved.
@rem This component and the accompanying materials are made available
@rem under the terms of "Eclipse Public License v1.0"
@rem which accompanies this distribution, and is available
@rem at the URL "http://www.eclipse.org/legal/epl-v10.html".
@rem
@rem Initial Contributors:
@rem Nokia Corporation - initial contribution.
@rem
@rem Contributors:
@rem
@rem Description:
@rem
@echo off



REM Configuration
setlocal


REM Verify that the JAVA_6_HOME exists
set JRE_BIN_DIR="%JAVA_6_HOME%\bin"
if exist %JRE_BIN_DIR%\java.exe goto jrefound


REM Verify that the C:\apps\jdk_1.6.0_11\bin\java.exe exists
set JRE_BIN_DIR="C:\apps\jdk_1.6.0_11\bin"
if exist %JRE_BIN_DIR%\java.exe goto jrefound


REM Verify that the JAVA_5_HOME exists
set JRE_BIN_DIR="%JAVA_5_HOME%\bin"
if exist %JRE_BIN_DIR%\java.exe goto jrefound


REM Verify that the C:\apps\jdk_1.5.0_17\bin\java.exe exists
set JRE_BIN_DIR="C:\apps\jdk_1.5.0_17\bin"
if exist %JRE_BIN_DIR%\java.exe goto jrefound


REM Verify that the JAVA_HOME exists
set JRE_BIN_DIR="%JAVA_HOME%\bin"
if exist %JRE_BIN_DIR%\java.exe goto jrefound


REM JRE not found, exit with error code 1
echo.
echo Java Runtime Environment not found from the JRE_BIN_DIR: %JRE_BIN_DIR%
echo Configure the JRE location to HSPluginPreInstaller.bat file.
exit /b 1


:jrefound
REM Execute HSPluginPreInstaller
echo Using Java Runtime Environment from %JRE_BIN_DIR%
echo Executing HSPluginPreInstaller

set HSPLUGIN_TEMP=%1
if "%HSPLUGIN_TEMP%"=="" set HSPLUGIN_TEMP=c:/temp
set HSPLUGIN_CONF=%2
if "%HSPLUGIN_CONF%"=="" set HSPLUGIN_CONF=./HSPluginPreInstaller.ini

%JRE_BIN_DIR%\java -Xmx512m -Xms256m -jar %~dp0eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar -data %HSPLUGIN_TEMP% -application com.nokia.tools.homescreen.commandline.wrtprocessor.HSWRTProcessor %HSPLUGIN_CONF%

endlocal
